# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponseDefault6(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'address': 'str',
        'capacity': 'dict(str, str)',
        'cpu_capacity': 'int',
        'cpu_used': 'int',
        'document_self_link': 'str',
        'endpoint_link': 'str',
        'id': 'str',
        'memory_capacity': 'int',
        'memory_used': 'int',
        'moref': 'str',
        'name': 'str',
        'registered': 'bool',
        'software_version': 'str',
        'status': 'str',
        'status_message': 'str',
        'storage_capacity': 'int',
        'storage_used': 'int',
        'tag_ids': 'list[str]',
        'tag_links': 'list[str]',
        'tags': 'list[Cmxapiresourcesk8szonesTags]',
        'type': 'str',
        'updated_millis': 'int',
        'utilisation': 'dict(str, str)'
    }

    attribute_map = {
        'address': 'address',
        'capacity': 'capacity',
        'cpu_capacity': 'cpuCapacity',
        'cpu_used': 'cpuUsed',
        'document_self_link': 'documentSelfLink',
        'endpoint_link': 'endpointLink',
        'id': 'id',
        'memory_capacity': 'memoryCapacity',
        'memory_used': 'memoryUsed',
        'moref': 'moref',
        'name': 'name',
        'registered': 'registered',
        'software_version': 'softwareVersion',
        'status': 'status',
        'status_message': 'statusMessage',
        'storage_capacity': 'storageCapacity',
        'storage_used': 'storageUsed',
        'tag_ids': 'tagIds',
        'tag_links': 'tagLinks',
        'tags': 'tags',
        'type': 'type',
        'updated_millis': 'updatedMillis',
        'utilisation': 'utilisation'
    }

    def __init__(self, address=None, capacity=None, cpu_capacity=None, cpu_used=None, document_self_link=None, endpoint_link=None, id=None, memory_capacity=None, memory_used=None, moref=None, name=None, registered=None, software_version=None, status=None, status_message=None, storage_capacity=None, storage_used=None, tag_ids=None, tag_links=None, tags=None, type=None, updated_millis=None, utilisation=None):  # noqa: E501
        """InlineResponseDefault6 - a model defined in Swagger"""  # noqa: E501
        self._address = None
        self._capacity = None
        self._cpu_capacity = None
        self._cpu_used = None
        self._document_self_link = None
        self._endpoint_link = None
        self._id = None
        self._memory_capacity = None
        self._memory_used = None
        self._moref = None
        self._name = None
        self._registered = None
        self._software_version = None
        self._status = None
        self._status_message = None
        self._storage_capacity = None
        self._storage_used = None
        self._tag_ids = None
        self._tag_links = None
        self._tags = None
        self._type = None
        self._updated_millis = None
        self._utilisation = None
        self.discriminator = None
        if address is not None:
            self.address = address
        if capacity is not None:
            self.capacity = capacity
        if cpu_capacity is not None:
            self.cpu_capacity = cpu_capacity
        if cpu_used is not None:
            self.cpu_used = cpu_used
        if document_self_link is not None:
            self.document_self_link = document_self_link
        if endpoint_link is not None:
            self.endpoint_link = endpoint_link
        if id is not None:
            self.id = id
        if memory_capacity is not None:
            self.memory_capacity = memory_capacity
        if memory_used is not None:
            self.memory_used = memory_used
        if moref is not None:
            self.moref = moref
        if name is not None:
            self.name = name
        if registered is not None:
            self.registered = registered
        if software_version is not None:
            self.software_version = software_version
        if status is not None:
            self.status = status
        if status_message is not None:
            self.status_message = status_message
        if storage_capacity is not None:
            self.storage_capacity = storage_capacity
        if storage_used is not None:
            self.storage_used = storage_used
        if tag_ids is not None:
            self.tag_ids = tag_ids
        if tag_links is not None:
            self.tag_links = tag_links
        if tags is not None:
            self.tags = tags
        if type is not None:
            self.type = type
        if updated_millis is not None:
            self.updated_millis = updated_millis
        if utilisation is not None:
            self.utilisation = utilisation

    @property
    def address(self):
        """Gets the address of this InlineResponseDefault6.  # noqa: E501


        :return: The address of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._address

    @address.setter
    def address(self, address):
        """Sets the address of this InlineResponseDefault6.


        :param address: The address of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._address = address

    @property
    def capacity(self):
        """Gets the capacity of this InlineResponseDefault6.  # noqa: E501


        :return: The capacity of this InlineResponseDefault6.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._capacity

    @capacity.setter
    def capacity(self, capacity):
        """Sets the capacity of this InlineResponseDefault6.


        :param capacity: The capacity of this InlineResponseDefault6.  # noqa: E501
        :type: dict(str, str)
        """

        self._capacity = capacity

    @property
    def cpu_capacity(self):
        """Gets the cpu_capacity of this InlineResponseDefault6.  # noqa: E501


        :return: The cpu_capacity of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._cpu_capacity

    @cpu_capacity.setter
    def cpu_capacity(self, cpu_capacity):
        """Sets the cpu_capacity of this InlineResponseDefault6.


        :param cpu_capacity: The cpu_capacity of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._cpu_capacity = cpu_capacity

    @property
    def cpu_used(self):
        """Gets the cpu_used of this InlineResponseDefault6.  # noqa: E501


        :return: The cpu_used of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._cpu_used

    @cpu_used.setter
    def cpu_used(self, cpu_used):
        """Sets the cpu_used of this InlineResponseDefault6.


        :param cpu_used: The cpu_used of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._cpu_used = cpu_used

    @property
    def document_self_link(self):
        """Gets the document_self_link of this InlineResponseDefault6.  # noqa: E501


        :return: The document_self_link of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._document_self_link

    @document_self_link.setter
    def document_self_link(self, document_self_link):
        """Sets the document_self_link of this InlineResponseDefault6.


        :param document_self_link: The document_self_link of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._document_self_link = document_self_link

    @property
    def endpoint_link(self):
        """Gets the endpoint_link of this InlineResponseDefault6.  # noqa: E501


        :return: The endpoint_link of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._endpoint_link

    @endpoint_link.setter
    def endpoint_link(self, endpoint_link):
        """Sets the endpoint_link of this InlineResponseDefault6.


        :param endpoint_link: The endpoint_link of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._endpoint_link = endpoint_link

    @property
    def id(self):
        """Gets the id of this InlineResponseDefault6.  # noqa: E501


        :return: The id of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this InlineResponseDefault6.


        :param id: The id of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def memory_capacity(self):
        """Gets the memory_capacity of this InlineResponseDefault6.  # noqa: E501


        :return: The memory_capacity of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._memory_capacity

    @memory_capacity.setter
    def memory_capacity(self, memory_capacity):
        """Sets the memory_capacity of this InlineResponseDefault6.


        :param memory_capacity: The memory_capacity of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._memory_capacity = memory_capacity

    @property
    def memory_used(self):
        """Gets the memory_used of this InlineResponseDefault6.  # noqa: E501


        :return: The memory_used of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._memory_used

    @memory_used.setter
    def memory_used(self, memory_used):
        """Sets the memory_used of this InlineResponseDefault6.


        :param memory_used: The memory_used of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._memory_used = memory_used

    @property
    def moref(self):
        """Gets the moref of this InlineResponseDefault6.  # noqa: E501


        :return: The moref of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._moref

    @moref.setter
    def moref(self, moref):
        """Sets the moref of this InlineResponseDefault6.


        :param moref: The moref of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._moref = moref

    @property
    def name(self):
        """Gets the name of this InlineResponseDefault6.  # noqa: E501


        :return: The name of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this InlineResponseDefault6.


        :param name: The name of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def registered(self):
        """Gets the registered of this InlineResponseDefault6.  # noqa: E501


        :return: The registered of this InlineResponseDefault6.  # noqa: E501
        :rtype: bool
        """
        return self._registered

    @registered.setter
    def registered(self, registered):
        """Sets the registered of this InlineResponseDefault6.


        :param registered: The registered of this InlineResponseDefault6.  # noqa: E501
        :type: bool
        """

        self._registered = registered

    @property
    def software_version(self):
        """Gets the software_version of this InlineResponseDefault6.  # noqa: E501


        :return: The software_version of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._software_version

    @software_version.setter
    def software_version(self, software_version):
        """Sets the software_version of this InlineResponseDefault6.


        :param software_version: The software_version of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._software_version = software_version

    @property
    def status(self):
        """Gets the status of this InlineResponseDefault6.  # noqa: E501


        :return: The status of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this InlineResponseDefault6.


        :param status: The status of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """
        allowed_values = ["ON", "CONFIGURING", "REMOVING", "ERROR"]  # noqa: E501
        if status not in allowed_values:
            raise ValueError(
                "Invalid value for `status` ({0}), must be one of {1}"  # noqa: E501
                .format(status, allowed_values)
            )

        self._status = status

    @property
    def status_message(self):
        """Gets the status_message of this InlineResponseDefault6.  # noqa: E501


        :return: The status_message of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._status_message

    @status_message.setter
    def status_message(self, status_message):
        """Sets the status_message of this InlineResponseDefault6.


        :param status_message: The status_message of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._status_message = status_message

    @property
    def storage_capacity(self):
        """Gets the storage_capacity of this InlineResponseDefault6.  # noqa: E501


        :return: The storage_capacity of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._storage_capacity

    @storage_capacity.setter
    def storage_capacity(self, storage_capacity):
        """Sets the storage_capacity of this InlineResponseDefault6.


        :param storage_capacity: The storage_capacity of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._storage_capacity = storage_capacity

    @property
    def storage_used(self):
        """Gets the storage_used of this InlineResponseDefault6.  # noqa: E501


        :return: The storage_used of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._storage_used

    @storage_used.setter
    def storage_used(self, storage_used):
        """Sets the storage_used of this InlineResponseDefault6.


        :param storage_used: The storage_used of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._storage_used = storage_used

    @property
    def tag_ids(self):
        """Gets the tag_ids of this InlineResponseDefault6.  # noqa: E501


        :return: The tag_ids of this InlineResponseDefault6.  # noqa: E501
        :rtype: list[str]
        """
        return self._tag_ids

    @tag_ids.setter
    def tag_ids(self, tag_ids):
        """Sets the tag_ids of this InlineResponseDefault6.


        :param tag_ids: The tag_ids of this InlineResponseDefault6.  # noqa: E501
        :type: list[str]
        """

        self._tag_ids = tag_ids

    @property
    def tag_links(self):
        """Gets the tag_links of this InlineResponseDefault6.  # noqa: E501


        :return: The tag_links of this InlineResponseDefault6.  # noqa: E501
        :rtype: list[str]
        """
        return self._tag_links

    @tag_links.setter
    def tag_links(self, tag_links):
        """Sets the tag_links of this InlineResponseDefault6.


        :param tag_links: The tag_links of this InlineResponseDefault6.  # noqa: E501
        :type: list[str]
        """

        self._tag_links = tag_links

    @property
    def tags(self):
        """Gets the tags of this InlineResponseDefault6.  # noqa: E501


        :return: The tags of this InlineResponseDefault6.  # noqa: E501
        :rtype: list[Cmxapiresourcesk8szonesTags]
        """
        return self._tags

    @tags.setter
    def tags(self, tags):
        """Sets the tags of this InlineResponseDefault6.


        :param tags: The tags of this InlineResponseDefault6.  # noqa: E501
        :type: list[Cmxapiresourcesk8szonesTags]
        """

        self._tags = tags

    @property
    def type(self):
        """Gets the type of this InlineResponseDefault6.  # noqa: E501


        :return: The type of this InlineResponseDefault6.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this InlineResponseDefault6.


        :param type: The type of this InlineResponseDefault6.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def updated_millis(self):
        """Gets the updated_millis of this InlineResponseDefault6.  # noqa: E501


        :return: The updated_millis of this InlineResponseDefault6.  # noqa: E501
        :rtype: int
        """
        return self._updated_millis

    @updated_millis.setter
    def updated_millis(self, updated_millis):
        """Sets the updated_millis of this InlineResponseDefault6.


        :param updated_millis: The updated_millis of this InlineResponseDefault6.  # noqa: E501
        :type: int
        """

        self._updated_millis = updated_millis

    @property
    def utilisation(self):
        """Gets the utilisation of this InlineResponseDefault6.  # noqa: E501


        :return: The utilisation of this InlineResponseDefault6.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._utilisation

    @utilisation.setter
    def utilisation(self, utilisation):
        """Sets the utilisation of this InlineResponseDefault6.


        :param utilisation: The utilisation of this InlineResponseDefault6.  # noqa: E501
        :type: dict(str, str)
        """

        self._utilisation = utilisation

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponseDefault6, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponseDefault6):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
